<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function mensagem_padrao_getAll() {
  global $conexao;
  $sql = 'select * from erpc_mensagem_padrao where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function mensagem_padrao_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_mensagem_padrao where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function mensagem_padrao_insert($mensagem_padrao, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_mensagem_padrao ';
  $campos = array('ds_mensagem', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $mensagem_padrao[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function mensagem_padrao_update($mensagem_padrao) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_mensagem_padrao set ';
  $campos = array('ds_mensagem');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $mensagem_padrao[$campo];
  }
  $sql = trim($sql, ',');
  $sql .= ' where id = ?';
  $values[] = $mensagem_padrao['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function mensagem_padrao_delete($mensagem_padrao) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_mensagem_padrao set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $mensagem_padrao['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function mensagem_padrao_create() {
  $mensagem_padrao = array(
    'id' => '',
    'ds_mensagem' => '',
    'st_ativo' => '1',
  );
  return $mensagem_padrao;
}
